import request from '@/utils/request';
import { Config } from './model';
import { ApiResult } from '@/api';

/**
 * 查询列表
 */
export async function getConfig() {
  const res = await request.get<ApiResult<any>>('/basic/config');
  if (res.data.code === 0 && res.data.data) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 添加
 */
// export async function addConfig(data: Config) {
//   const res = await request.post<ApiResult<unknown>>(
//     '/basic/config',
//     data
//   );
//   if (res.data.code === 0) {
//     return res.data.message;
//   }
//   return Promise.reject(new Error(res.data.message));
// }

/**
 * 修改
 */
export async function updateConfig(data: Config) {
  const res = await request.put<ApiResult<unknown>>(
    '/basic/config',
    data
  );
  if (res.data.code === 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}
